View Issue Details

IDProjectCategoryView StatusLast Update
0000059WolfAdminSetup & Configurationpublic2019-01-01 21:08
ReporterTimoAssigned ToTimo 
PriorityhighSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target Version1.1.0Fixed in Version1.1.0 
Summary0000059: Handle database errors
DescriptionDisplay a warning and abort/use a minimal system (without the database).

Anyway, the current situation is undesired: the module still runs and the game mod itself throws an error, while database functions are still executed.
Steps To Reproduce* luasql not being detected
* wolfadmin.db corrupt
* wolfadmin.db not writable
* mysql database not reachable
TagsNo tags attached.
ModN/A
Mod version
Standaloneno

Activities

Timo

2016-08-07 18:56

administrator   ~0000077

Applied in changeset bb67eb3.

Related Changesets

WolfAdmin: master bb67eb3f

2016-08-07 18:55:26

Timo

Details Diff
Removed cfg system and added checks for database availability/connectivity (issue 0000059) Affected Issues
0000059
mod - luascripts/admin/admin.lua Diff File
mod - luascripts/commands/admin/dewarn.lua Diff File
mod - luascripts/commands/admin/listaliases.lua Diff File
mod - luascripts/commands/admin/listlevels.lua Diff File
mod - luascripts/commands/admin/resetsprees.lua Diff File
mod - luascripts/commands/admin/setlevel.lua Diff File
mod - luascripts/commands/admin/showwarns.lua Diff File
mod - luascripts/commands/admin/sprees.lua Diff File
mod - luascripts/commands/admin/warn.lua Diff File
rm - luascripts/db/cfg.lua Diff File
mod - luascripts/db/mysql.lua Diff File
mod - luascripts/db/sqlite3.lua Diff File
mod - luascripts/game/sprees.lua Diff File

WolfAdmin: develop/1.2.0 98d4a30b

2019-01-01 21:12:22

Timo

Details Diff
Fixed Lua game init completely being interrupted when database is unavailable (refs 0000059)

* database module will throw debug messages when it cannot connect or read
* ACL module will enter 'dumb' mode and disallow any permissions (should be changed in future)
Affected Issues
0000059
mod - luamods/wolfadmin/auth/auth.lua Diff File
mod - luamods/wolfadmin/commands/server/acl.lua Diff File
mod - luamods/wolfadmin/db/db.lua Diff File
mod - luamods/wolfadmin/db/mysql.lua Diff File
mod - luamods/wolfadmin/db/sqlite3.lua Diff File

Issue History

Date Modified Username Field Change
2016-07-28 20:30 Timo New Issue
2016-07-28 20:30 Timo Status new => assigned
2016-07-28 20:30 Timo Assigned To => Timo
2016-08-04 19:32 Timo Category Database => Setup & Configuration
2016-08-05 22:33 Timo Summary Act appropriately in case LuaSQL is not detected => Handle database errors
2016-08-05 22:33 Timo Steps to Reproduce Updated View Revisions
2016-08-07 18:56 Timo Note Added: 0000077
2016-08-07 18:56 Timo Status assigned => resolved
2016-08-07 18:56 Timo Fixed in Version => 1.1.0
2016-08-07 18:56 Timo Resolution open => fixed
2019-01-01 21:08 Timo Changeset attached => WolfAdmin develop/1.2.0 98d4a30b